# Class: c3.array

Defined in: | js/c3.coffee

## Overview

################################################################## Array Helpers

##################################################################

## Class Method Summary

- . (void) remove_item(arr, item) Remove an item from an array
- . (Array) sort_up(arr, accessor = function(d) { return d; }) Sort an array in ascending order based on the accessor.
- . (Array) sort_down(arr, accessor)

## Class Method Details

. (void) remove_item(arr, item)

Remove an item from an array

. (Array) sort_up(arr, accessor = function(d) { return d; })

Note: Please include the Crossfilter library for improved performance.

Sort an array in ascending order based on the accessor.

### Returns:

- ( `Array` ) — Returns the sorted array

. (Array) sort_down(arr, accessor)

### Returns:

- ( `Array` ) — Returns the sorted array

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input